Crazy Eddies GUI System: CEGUI::TextUtils Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# CEGUI::TextUtils Class Reference

Text utility support class. This class is all static members. You do not create instances of this class. More...

Collaboration diagram for CEGUI::TextUtils:

[legend]
List of all members.

## Static Public Member Functions
static String | getNextWord (const String &str, String::size_type start_idx=0, const String &delimiters=DefaultWhitespace)
| return a String containing the the next word in a String.
static String::size_type | getWordStartIdx (const String &str, String::size_type idx)
| Return the index of the first character of the word at idx.
static String::size_type | getNextWordStartIdx (const String &str, String::size_type idx)
| Return the index of the first character of the word after the word at idx.
static void | trimLeadingChars (String &str, const String &chars)
| Trim all characters from the set specified in chars from the begining of str.
static void | trimTrailingChars (String &str, const String &chars)
| Trim all characters from the set specified in chars from the end of str.
## Static Public Attributes
static const String | DefaultWhitespace = (utf8*)" \n\t\r"
| The default set of whitespace.
static const String | DefaultAlphanumerical = (utf8*)"abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890"
| default set of alphanumericals.
static const String | DefaultWrapDelimiters = (utf8*)" \n\t\r"
| The default set of word-wrap delimiters.

## Detailed Description

Text utility support class. This class is all static members. You do not create instances of this class.

## Member Function Documentation

String CEGUI::TextUtils::getNextWord | ( | const String & | str,
|  | String::size_type | start_idx = `0`,
|  | const String & | delimiters = `DefaultWhitespace`
| ) | `[static]`

  | return a String containing the the next word in a String. This method returns a String object containing the the word, starting at index start_idx, of String str as delimited by the code points specified in string delimiters (or the ends of the input string). Parameters:
  | str | String object containing the input data.
  | start_idx | index into str where the search for the next word is to begin. Defaults to start of str.
  | delimiters | String object containing the set of delimiter code points to be used when determining the start and end points of a word in string str. Defaults to whitespace.
Returns: String object containing the next delimiters delimited word from str, starting at index start_idx.

String::size_type CEGUI::TextUtils::getNextWordStartIdx | ( | const String & | str,
|  | String::size_type | idx
| ) | `[static]`

  | Return the index of the first character of the word after the word at idx. /note This currently uses DefaultWhitespace and DefaultAlphanumerical to determine groupings for what constitutes a 'word'. Parameters:
  | str | String containing text.
  | idx | Index into str where search is to begin.
Returns: Index into str which marks the begining of the word at after the word at index idx. If idx is within the last word, then the return is the last index in str.

String::size_type CEGUI::TextUtils::getWordStartIdx | ( | const String & | str,
|  | String::size_type | idx
| ) | `[static]`

  | Return the index of the first character of the word at idx. /note This currently uses DefaultWhitespace and DefaultAlphanumerical to determine groupings for what constitutes a 'word'. Parameters:
  | str | String containing text.
  | idx | Index into str where search for start of word is to begin.
Returns: Index into str which marks the begining of the word at index idx.

void CEGUI::TextUtils::trimLeadingChars | ( | String & | str,
|  | const String & | chars
| ) | `[static]`

  | Trim all characters from the set specified in chars from the begining of str. Parameters:
  | str | String object to be trimmed.
  | chars | String object containing the set of code points to be trimmed.

void CEGUI::TextUtils::trimTrailingChars | ( | String & | str,
|  | const String & | chars
| ) | `[static]`

  | Trim all characters from the set specified in chars from the end of str. Parameters:
  | str | String object to be trimmed.
  | chars | String object containing the set of code points to be trimmed.